package client

import (
	"testing"

	"github.com/stretchr/testify/require"
)

func TestSimpleResponse(t *testing.T) {
	// assert := assert.New(t)
	require := require.New(t)

	chat := AgentMessages{
		Messages: make([]AgentMessage, 0),
	}

	chat.AddSystem("system message")

	err := chat.HandleResponse(AgentResponse{
		Id:      "0",
		Object:  "chat.completion",
		Created: 1,
		Choices: []ResponseChoice{{
			Index: 0,
			Message: ResponseChoiceMessage{
				Role:    "assistant",
				Content: "some basic content",
			},
			FinishReason: "",
		}},
	})

	require.NoError(err)
	require.Len(chat.Messages, 2)

	require.EqualValues(chat.Messages[1], ResponseChoiceMessage{
		Role:    "assistant",
		Content: "some basic content",
	})
}
